package ${package.ServiceImpl};

import ${package.Entity}.${entity};
import ${package.Mapper}.${table.mapperName};
import ${package.Service}.${table.serviceName};
import ${superServiceImplClassPackage};
import com.wanji.common.framework.mapper.BaseInterfaceMapper;
import com.wanji.common.framework.dubbointerface.impl.BaseDubboInterfaceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;
import javax.annotation.Resource;
import java.util.List;

/**
* <p>
* ${table.comment!} 服务实现类
* </p>
*
* @author ${author}
* @since ${date}
*/
@Service
<#if kotlin>
 open class ${table.serviceImplName} : ${superServiceImplClass}<${table.mapperName}, ${entity}>(), ${table.serviceName} {

 }
<#else>
 public class ${table.serviceImplName} extends BaseDubboInterfaceImpl<${entity}> implements ${table.serviceName} {

	 @Resource
	 private ${table.mapperName} ${table.entityPath}Mapper;

	
	 /**
	 * ${table.comment!}详情
	 * @param id
	 * @return
	 */
	 @Override
	 public BaseInterfaceMapper<${entity}> getBaseInterfaceMapper() {
	 	return ${table.entityPath}Mapper;
	 }
	

 }
</#if>