package ${package.ServiceImpl};


import net.wanji.common.framework.dubbointerface.impl.BaseDubboInterfaceImpl;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.mapper.BaseInterfaceMapper;
import net.wanji.common.framework.rest.JsonViewObject;
import ${package.Entity}.${entity};
import ${package.Service}.${entity}Service;
import ${package.Mapper}.${table.mapperName};

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import javax.annotation.Resource;


/**
 * <p>
 * ${table.comment!}
 * </p>
 *
 * @Author ${author}
 * @Date ${date}
 */
@Slf4j
@Component
@Service
public class ${entity}ServiceImpl extends BaseDubboInterfaceImpl<${entity}> implements ${entity}Service {

    @Resource
    private ${table.mapperName} ${table.entityPath}Mapper;


    @Override
    public BaseInterfaceMapper<${entity}> getBaseInterfaceMapper() {
        return this.${table.entityPath}Mapper;
    }

}
